/* animationaciones */

* { box-sizing: border-box; }

html {
  font-family: sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

body {
  margin: 40px;
}

.monotype {
  font-family: monospace;
  background-color: khaki;
  padding: 4px 8px;
  border-radius: 4px;
}

.animation-container {
  background-color: grey;
  display: block;
  /* width: 200px; */
  height: 100px;
  margin-bottom: 20px;
  padding: 5px;

  background-color: #f7f7f7;
  border-radius: 3px;
  padding: 10px;

  /* margin: 0 auto 40px; */
}

  .animation-item {
    font-size: 20px;
    /* text-align: center; */
    border-radius: 4px;
    background-color: rgba(162, 203, 250, 0.8);
    border: 1px solid #4390E1;
    box-sizing: border-box;
    box-shadow: 0 2px 2px rgba(0,90,250,0.05), 0 4px 4px rgba(0,90,250,0.05), 0 8px 8px rgba(0,90,250,0.05), 0 16px 16px rgba(0,90,250,0.05);
    width: 80px;
    height: 80px;
    position: relative;
    z-index: 10;

    /* margin: 0 auto 40px; */
  }

  .animation-ghost {
    font-size: 20px;
    /* text-align: center; */
    border-radius: 4px;
    border: 3px dashed #4390E1;
    box-sizing: border-box;
    width: 82px;
    height: 82px;
    position: absolute;
    /* left: 50%; */
    z-index: 8;
    /* margin-left: -81px; */
    margin-left: -1px;
    margin-top: -1px;
  }

  /* .animation-item:after {
      content: '';
      background: #db3951;
      -webkit-animation: scale(0.1);
      animation: scale(0.1);
      display: block;
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      border: solid 1px #db3951;
      -webkit-animation-origin: inherit;
      animation-origin: inherit;
  } */


/* 1. animation */

@keyframes stretch {
  0% {
    transform: scale(.3);
    background-color: red;
    border-radius: 100%;
  }
  50% {
    background-color: orange;
  }
  100% {
    transform: scale(1.5);
    background-color: yellow;
  }
}

.animation-a .animation-item {
  animation: stretch 1.5s ease-out 0s alternate infinite none running;
}


/* 2. Agrupar pasos */

@keyframes pulse {
  0%, 100% {
    background-color: yellow;
  }
  50% {
    background-color: red;
  }
}

.steps-a .animation-item {
  animation: pulse 1.5s linear infinite;
}


/* 3. Multiples animaciones */

@keyframes nudge {
  0%, 100% {
    transform: translate(0, 0);
  }
  
  50% {
    transform: translate(150px, 0);
  }
  
  80% {
    transform: translate(-150px, 0);
  }
}

.multiple-a .animation-item {
  animation: 
    pulse 3s ease infinite alternate, 
    nudge 5s linear infinite alternate;
}

